﻿using System;
using System.Collections.Generic;
using Downmoon.Framework.Model;

namespace Downmoon.Framework.Controllers
{
    public class AreaList : IArea
    {
        // Area singleton
        private static AreaList instance;
        public static AreaList Instance
        {
            get
            {
                if (AreaList.instance == null)
                {
                    AreaList.instance = new AreaList();
                }
                return AreaList.instance;
            }
        }

        public List<Area> GetAreaList()
        {
            List<Area> Areas = new List<Area>();
            Areas.Add(new Area("110000", "北京市", 0, 1, "000000"));
            Areas.Add(new Area("110100", "市辖区", 0, 2, "110000"));
            Areas.Add(new Area("110101", "东城区", 0, 3, "110100"));
            Areas.Add(new Area("110102", "西城区", 0, 3, "110100"));
            Areas.Add(new Area("110103", "崇文区", 0, 3, "110100"));
            Areas.Add(new Area("330000", "浙江省", 0, 1, "000000"));
            Areas.Add(new Area("330100", "杭州市", 0, 2, "330000"));
            Areas.Add(new Area("330200", "宁波市", 0, 2, "330000"));
            Areas.Add(new Area("330102", "上城区", 0, 3, "330100"));
            Areas.Add(new Area("330103", "下城区", 0, 3, "330100"));
            Areas.Add(new Area("330104", "江干区", 0, 3, "330100"));
            Areas.Add(new Area("330105", "拱墅区", 0, 3, "330100"));
            Areas.Add(new Area("330106", "西湖区", 0, 3, "330100"));
            Areas.Add(new Area("330203", "海曙区", 0, 3, "330200"));
            Areas.Add(new Area("330204", "江东区", 0, 3, "330200"));
            Areas.Add(new Area("330205", "江北区", 0, 3, "330200"));
            Areas.Add(new Area("330206", "北仑区", 0, 3, "330200"));
            Areas.Add(new Area("330211", "镇海区", 0, 3, "330200"));
            return Areas;
        }

        public List<Area> GetAreaListFindByParentID(string filter)
        {
            return GetAreaList().FindAll(
                delegate(Area ar)
                {
                    return ar.Area_FatherID == filter;
                }
                );
        }
    }
}

//Areas.Add(new Area("110000", "11", 0, 1, "000000"));
//Areas.Add(new Area("110100", "12", 0, 2, "110000"));
//Areas.Add(new Area("110101", "13", 0, 3, "110100"));
//Areas.Add(new Area("110102", "14", 0, 3, "110100"));
//Areas.Add(new Area("110103", "15", 0, 3, "110100"));
//Areas.Add(new Area("330000", "16", 0, 1, "000000"));
//Areas.Add(new Area("330100", "17", 0, 2, "330000"));
//Areas.Add(new Area("330102", "18", 0, 3, "330100"));
//Areas.Add(new Area("330103", "19", 0, 3, "330100"));
//Areas.Add(new Area("330104", "20", 0, 3, "330100"));
//Areas.Add(new Area("330105", "21", 0, 3, "330100"));
//Areas.Add(new Area("330106", "22", 0, 3, "330100"));